\name{forretal}
\alias{forretal}

\title{The Simulation Function of Example 1}

\description{
  Evaluate the synthesized dynamic computer simulator in Example 1 one
  design point at a time.}

\usage{
forretal(xx,timepoints)
}
\arguments{
  \item{xx}{
    three dimensional vector of the design input.
  }
  \item{timepoints}{
    a vector of time-points with arbitrary length on which to evaluate
    the simulator.
  }
}
\value{
  It returns a vector of time-series outputs with the same length as
  \code{timepoints}.
}
\author{Ru Zhang \email{14rz14@queensu.ca}}
\examples{
library("lhs")
library("simfuncs")
## generate a design matrix of 100 points
design <- maximinLHS(100,3)
## specify the timepoints
timepoints <- seq(0,1,len=200)
## evaluate the simulator on the 100 design points
resp <- apply(design,1,forretal,timepoints)
}
