library("ggplot2")
numrep <- 50
methods <- c("svdGP","knnsvdGP","knnsvdGP","lasvdGP_8","lasvdGP_15","lasvdGP_13","lasvdGP_25")
specify <- rep(methods,each=numrep)

plv <- c("","n=30","n=50")
panel <- c(rep(plv[1],numrep),rep(plv[-1],each=numrep),rep(plv[-1],each=2*numrep))
dfmse <- as.matrix(read.table("envmsmse.csv",header=TRUE,sep=","))
dfscore <- as.matrix(read.table("envmsscore.csv",header=TRUE,sep=","))
dat <- data.frame(MSPE=as.double(dfmse),score=as.double(dfscore),
                  panel=factor(panel,levels=plv,ordered=TRUE),
                  specify=factor(specify,levels=unique(methods),ordered=TRUE))
ggpmse <- ggplot(dat,aes(x=specify,y=MSPE))+
    geom_boxplot(fill="azure3", width=.4,lwd=.2)+
        facet_grid(~panel,scales="free_x",space="free")+
            xlab("")+ylab("log of Mean NMSPEs")

ggpscore <- ggplot(dat,aes(x=specify,y=score))+
    geom_boxplot(fill="azure3",width=.4,lwd=.2)+
        facet_grid(~panel,scales="free_x",space="free")+
            xlab("")+ylab("Proper Scoring Rule")
pdf("envmsmse.pdf",height=5,width=7)
ggpmse
dev.off()

pdf("envmsscore.pdf",height=5,width=7)
ggpscore
dev.off()
