library("DynamicGP")
library("serialization")
library("simfuncs")
load("dataset.RData")
numrep <- 50
laavemse <- lamedmse <- laavescore <- lamedscore <- rep(NA,numrep)
serfname <- "svdgp.txt"
fcon <- writeheader(serfname,ls(pattern="laave|lamed"),list(numrep))
timepoints <- seq(0.3,60,0.3)
for(i in 1:numrep)
{
    design <- trainlist[[i]]
    test <- testlist[[i]]
    resp <- apply(design,1,environ,timepoints)
    tres <- apply(test,1,environ,timepoints)
    ret <- try(svdGP(design,resp,test,frac=.95,centralize=TRUE,nthread=8))
    if(!inherits(ret,"try-error"))
    {
        mse <- lscalemse(tres,ret$pmean)
        laavemse[i] <- mean(mse)
        writedata(fcon,"laavemse",i,laavemse[i])
        lamedmse[i] <- median(mse)
        writedata(fcon,"lamedmse",i,lamedmse[i])
        score <- scoring(tres,ret$pmean,sqrt(ret$ps2))
        laavescore[i] <- mean(score)
        writedata(fcon,"laavescore",i,laavescore[i])
        lamedscore[i] <- median(score)
        writedata(fcon,"lamedscore",i,lamedscore[i])
        flush(fcon)
    }
    gc(reset=TRUE)
    cat("repetition ",i," complete!\n")
}
close(fcon)
